List of all members
clan::TLSClient Class Reference
clanCore Crypto

Transport Layer Security (TLS) client class. More...

`#include <tls_client.h>`

## Public Member Functions
Construction
| TLSClient ()
| Constructs a TLS client. More...
Attributes
const void * | get_decrypted_data () const
| Return a pointer to decrypted data available for consumption. More...
int | get_decrypted_data_available () const
| Returns how much decrypted data is available. More...
const void * | get_encrypted_data () const
| Return a pointer to encrypted data available for consumption. More...
int | get_encrypted_data_available () const
| Returns how much encrypted data is available. More...
Operations
int | encrypt (const void *data, int size)
| Adds data to be encrypted. More...
int | decrypt (const void *data, int size)
| Adds data to be decrypted. More...
void | decrypted_data_consumed (int size)
| Marks decrypted data as consumed. More...
void | encrypted_data_consumed (int size)
| Marks encrypted data as consumed. More...

## Detailed Description

Transport Layer Security (TLS) client class.

The documentation for this class was generated from the following file:

- tls_client.h